import { UiLineChartLineConfig } from "../../generated/UiLineChartLineConfig";
import { SVGGSelection } from "./Charting";
import { AbstractUiLineChartDataDisplay } from "./AbstractUiLineChartDataDisplay";
import { TimeGraphDataStore } from "./TimeGraphDataStore";
export declare class UiLineChartLine extends AbstractUiLineChartDataDisplay<UiLineChartLineConfig> {
    private dropShadowFilterId;
    private line;
    private $line;
    private area;
    private $area;
    private $dots;
    private $defs;
    private colorScale;
    private $main;
    private $yZeroLine;
    constructor(timeGraphId: string, config: UiLineChartLineConfig, $container: SVGGSelection, // TODO append outside!! https://stackoverflow.com/a/19951169/524913
    dropShadowFilterId: string, dataStore: TimeGraphDataStore);
    private initLinesAndColorScale;
    private initDomNodes;
    doRedraw(): void;
    setConfig(lineFormat: UiLineChartLineConfig): void;
    get yScaleWidth(): number;
    getDataSeriesIds(): string[];
    destroy(): void;
}
